Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.utils
Class RaUtils

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.utils.RaUtils

    public class RaUtils

extends Object

Utilitiy class for all the RA operations.

Field Summary
`static String` | `SOAPACTION_CERTRA_APPLICATIONIDS` SOAPACTION for the Actor ApplicationIds
`static String` | `SOAPACTION_CERTRA_GEN_CERT` SOAPACTION for generate a certificate
`static String` | `SOAPACTION_CERTRA_GET_CERT` SOAPACTION for getting a certificate
`static String` | `SOAPACTION_CERTRA_QUAL` SOAPACTION for the Actor Qualities
`static String` | `SOAPACTION_CERTRA_RENEW_CERT` SOAPACTION for the Renew Certificate
`static String` | `SOAPACTION_CERTRA_REVOCABLES` SOAPACTION for the Get Revocable Certificates
`static String` | `SOAPACTION_CERTRA_REVOKE` SOAPACTION for revoke Certificate
`static String` | `SOAPACTION_ETKRA_ACTIVATE_TOKEN` SOAPACTION for register public key encryption token
`static String` | `SOAPACTION_ETKRA_REGISTER_PK` SOAPACTION for register public key encryption token
`static String` | `SOAPACTION_ETKRA_REGISTER_TOKEN` SOAPACTION for register public key encryption token

Constructor Summary
`RaUtils()`

Method Summary
`static
`<T extends RaResponseType> Result<T>`
` | `invokeCertRa(Object payload, String soapAction, Class<T> clazz)`
`static
`<T extends RaResponseType> Result<T>`
` | `invokeEtkRa(Object payload, String soapAction, Class<T> clazz)`
`static
`<T> T`
` | `transform(byte[] signedContent, Class<T> clazz)` Method to transform a respone of the ra, to a real business object.
`static
`<T> byte[]`
` | `transform(Credential cred, byte[] data)` Method to transform a byte[] to a CMS message signed with the given credential.
`static
`<T> byte[]`
` | `transform(Credential cred, T object, Class<T> clazz)` Method to transform the given xml object to a signed CMS message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAPACTION_CERTRA_GEN_CERT

    public static final String SOAPACTION_CERTRA_GEN_CERT

  SOAPACTION for generate a certificate

  See Also:
    Constant Field Values

### SOAPACTION_CERTRA_GET_CERT

    public static final String SOAPACTION_CERTRA_GET_CERT

  SOAPACTION for getting a certificate

  See Also:
    Constant Field Values

### SOAPACTION_CERTRA_QUAL

    public static final String SOAPACTION_CERTRA_QUAL

  SOAPACTION for the Actor Qualities

  See Also:
    Constant Field Values

### SOAPACTION_CERTRA_APPLICATIONIDS

    public static final String SOAPACTION_CERTRA_APPLICATIONIDS

  SOAPACTION for the Actor ApplicationIds

  See Also:
    Constant Field Values

### SOAPACTION_CERTRA_RENEW_CERT

    public static final String SOAPACTION_CERTRA_RENEW_CERT

  SOAPACTION for the Renew Certificate

  See Also:
    Constant Field Values

### SOAPACTION_CERTRA_REVOCABLES

    public static final String SOAPACTION_CERTRA_REVOCABLES

  SOAPACTION for the Get Revocable Certificates

  See Also:
    Constant Field Values

### SOAPACTION_CERTRA_REVOKE

    public static final String SOAPACTION_CERTRA_REVOKE

  SOAPACTION for revoke Certificate

  See Also:
    Constant Field Values

### SOAPACTION_ETKRA_REGISTER_PK

    public static final String SOAPACTION_ETKRA_REGISTER_PK

  SOAPACTION for register public key encryption token

  See Also:
    Constant Field Values

### SOAPACTION_ETKRA_REGISTER_TOKEN

    public static final String SOAPACTION_ETKRA_REGISTER_TOKEN

  SOAPACTION for register public key encryption token

  See Also:
    Constant Field Values

### SOAPACTION_ETKRA_ACTIVATE_TOKEN

    public static final String SOAPACTION_ETKRA_ACTIVATE_TOKEN

  SOAPACTION for register public key encryption token

  See Also:
    Constant Field Values

Constructor Detail

### RaUtils

    public RaUtils()

Method Detail

### transform

    public static <T> byte[] transform(Credential cred,
                                       T object,
                                       Class<T> clazz)
                            throws TechnicalConnectorException

  Method to transform the given xml object to a signed CMS message.

  Throws:
    `TechnicalConnectorException`

### transform

    public static <T> byte[] transform(Credential cred,
                                       byte[] data)
                            throws TechnicalConnectorException

  Method to transform a byte[] to a CMS message signed with the given credential.

  Throws:
    `TechnicalConnectorException`

### transform

    public static <T> T transform(byte[] signedContent,
                                  Class<T> clazz)
                       throws TechnicalConnectorException

  Method to transform a respone of the ra, to a real business object.

  Throws:
    `TechnicalConnectorException`

### invokeCertRa

    public static <T extends RaResponseType> Result<T> invokeCertRa(Object payload,
                                                                    String soapAction,
                                                                    Class<T> clazz)
                                                         throws RaException

  Throws:
    `RaException`

### invokeEtkRa

    public static <T extends RaResponseType> Result<T> invokeEtkRa(Object payload,
                                                                   String soapAction,
                                                                   Class<T> clazz)
                                                        throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.